<?php // Do not delete these lines

  if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Ne pas charger directement cette page. Merci!');

  if (!empty($post->post_password)) { // if there's a password

    if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie

      ?>

      <p class="nocomments"> <?php _e("Ce billet est prot&eacute;g&eacute; par mot de passe. Saisissez-le pour consulter les commentaires."); ?> <p>

      <?php return;

    }

  }

  /* This variable is for alternating comment background */
  $oddcomment = 'alt';

?>

<div id="cblock">

  <!--comments area-->
  <?php if ($comments) : ?>

  <h2 id="comments"> <?php comments_number(__('Aucun commentaire'), __('1 commentaire'), __('% comments')); ?> </h2>

  <ol id="commentlist">

    <?php foreach ($comments as $comment) : ?>

      <li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">

        <div class="commentname">

          <?php comment_author_link()?>&nbsp;<?php comment_date('j F, Y, à') ?> 

          <?php comment_time()?>

          <?php edit_comment_link(__("Modifier le commentaire"), ''); ?> 
		 
        </div>

        <?php if ($comment->comment_approved == '0') : ?>

          <em>Votre commentaire est en attente de mod&eacute;ration.</em>

        <?php endif; ?>

        <?php 

          if(the_author('', false) == get_comment_author())

            echo "<div class='commenttext-admin'>";

          else

            echo "<div class='commenttext'>"; comment_text();

            echo "</div>";
					
	?>

      </li>

    <?php /* Changes every other comment to a different class */	

      if ('alt' == $oddcomment){

        $oddcomment = 'standard';

      }

      else {

        $oddcomment = 'alt';

      }

    ?>

    <?php endforeach; /* end for each comment */ ?>

    </ol>

      <?php else : // this is displayed if there are no comments so far ?>

      <?php if ('open' == $post-> comment_status) : ?>

      <!-- If comments are open, but there are no comments. -->
      <h2 id="comments">Aucun commentaire </h2>

      <?php else : // comments are closed ?>

      <!-- If comments are closed. -->
      <p class="nocomments">Les commentaires sont d&eacute;sactiv&eacute;s.</p>

      <?php endif; ?>

    <?php endif; ?>

    <?php if ('open' == $post-> comment_status) : ?>

    <!--comments form -->
    <h2>Laisser un commentaire </h2>

    <?php if ( get_option('comment_registration') && !$user_ID ) : ?>

    <p> Vous devez vous <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">identifier</a> pour laisser un commentaire. </p>

    <?php else : ?>

    <div id="commentsform">

      <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

        <?php if ( $user_ID ) : ?>

        <p> Identifi&eacute; sous <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Se d&eacute;connecter') ?>"> D&eacute;connexion &raquo; </a> </p>

        <?php else : ?>

        <p>

          <input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />

          <label for="author"> <small> <?php _e('Nom');?> <?php if ($req) _e('(requis)'); ?> </small> </label>

        </p>

        <p>

          <input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />

          <label for="email"> <small> <?php _e('email');?> (<?php _e('Non publi&eacute;');?>) <?php if ($req) _e('(requis)'); ?> </small> </label>

        </p>

        <p>

          <input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />

          <label for="url"> <small> <?php _e('Site web');?> </small> </label>

        </p>

        <?php endif; ?>

        <!--<p><small><strong>XHTML:</strong> Vous pouvez utiliser ces tags : <?php echo allowed_tags(); ?></small></p>-->

        <p> <textarea name="comment" id="comment" cols="50" rows="10" tabindex="4"> </textarea> </p>

        <p>

          <input name="submit" type="submit" id="submit" tabindex="5" value="Envoyer" />

          <input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />

        </p>

        <?php do_action('comment_form', $post->ID); ?>

      </form>

    </div>

    <?php endif; // If registration required and not logged in ?>

    <?php endif; // if you delete this the sky will fall on your head ?>

</div>
